javax.security.auth.message

## Class MessagePolicy

- java.lang.Object
- - javax.security.auth.message.MessagePolicy

-     public class MessagePolicy
      extends Object

  This class defines a message authentication policy.

  A ClientAuthContext uses this class to communicate (at module initialization time) request and response message protection policies to its ClientAuthModule objects. A ServerAuthContext uses this class to communicate request and response message protection policies to its ServerAuthModule objects.

  See Also:
    `ClientAuthContext`, `ServerAuthContext`, `ClientAuthModule`, `ServerAuthModule`

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static interface` | `MessagePolicy.ProtectionPolicy` This interface is used to represent message authentication policy.
    `static interface` | `MessagePolicy.Target` This interface is used to represent and perform message targeting.
    `static class` | `MessagePolicy.TargetPolicy` This class defines the message protection policies for specific Targets.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MessagePolicy(MessagePolicy.TargetPolicy[] targetPolicies, boolean mandatory)` Create a MessagePolicy instance with an array of target policies.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `MessagePolicy.TargetPolicy[]` | `getTargetPolicies()` Get the target policies that comprise the authentication policy.
    `boolean` | `isMandatory()` Get the MessagePolicy modifier.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MessagePolicy

          public MessagePolicy(MessagePolicy.TargetPolicy[] targetPolicies,
                       boolean mandatory)

      Create a MessagePolicy instance with an array of target policies.
      Parameters:
        `targetPolicies` - an array of target policies.
        `mandatory` - A boolean value indicating whether the MessagePolicy is mandatory or optional.
      Throws:
        `IllegalArgumentException` - if the specified targetPolicies is null.

  - ### Method Detail

    - #### isMandatory

          public boolean isMandatory()

      Get the MessagePolicy modifier.
      Returns:
        A boolean indicating whether the MessagePolicy is optional(false) or required(true).

    - #### getTargetPolicies

          public MessagePolicy.TargetPolicy[] getTargetPolicies()

      Get the target policies that comprise the authentication policy.

      Returns:
        An array of target authentication policies, where each element describes an authentication policy and the parts of the message to which the authentication policy applies. This method returns null to indicate that no security operations should be performed on the messages to which the policy applies. This method never returns a zero-length array.

        When this method returns an array of target policies, the order of elements in the array represents the order that the corresponding message transformations or validations described by the target policies are to be performed by the authentication module.

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.